> ## Documentation Index
> Fetch the complete documentation index at: https://docs.a-char.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete several departments

> Removes all of them or none. Ids that do not exist are ignored. Requires the `departments:delete` scope.



## OpenAPI

````yaml /openapi.json delete /departments
openapi: 3.1.1
info:
  title: A-Char API
  version: 1.0.0
  description: 'Authenticate with `Authorization: Bearer <api key>`.'
servers:
  - url: https://a-char.com/api/v1
security:
  - bearerAuth: []
paths:
  /departments:
    delete:
      tags:
        - Departments
      summary: Delete several departments
      description: >-
        Removes all of them or none. Ids that do not exist are ignored. Requires
        the `departments:delete` scope.
      operationId: departments.bulkDelete
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                ids:
                  type: array
                  minItems: 1
                  maxItems: 100
                  items:
                    type: string
                    format: uuid
              required:
                - ids
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  ids:
                    type: array
                    items:
                      type: string
                      format: uuid
                required:
                  - ids
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````